Welcome to the Hangar Open Beta. Please report any issue you encounter on GitHub!
Avatar for 4drian3d

AuthMeReloaded support for Velocity

Report AuthMeVelocity?

AuthMeVelocity

WorkFlow Latest Version Discord Modrinth Downloads GitHub Downloads

This plugin adds the support for Velocity to AuthMeReloaded

Requirements

  • Paper, Purpur, Folia 1.20+
  • Velocity 3.3.0+
  • Java 17+

Features

  • Prevent your players from executing commands or typing in the chat before they are logged in
  • Prevent command tabcompletions before they are logged in (On 1.13+ requires VPacketEvents)
  • Forces the first server that players enter to be an Auth server
  • Send players to another server when logging in natively (AuthMeReloaded has bugs with this functionality on its own)
  • Prevents players from having to re-login each time they join a server with AuthMe installed
  • Get access to the AuthMe API from Velocity
  • Compatibility with FastLogin (AutoLogin support in the proxy) and MiniPlaceholders (use AuthMeVelocity placeholders in any other plugin and vice versa)

Setup

  1. Download the latest release of the plugin link
  2. Install AuthMeVelocity-Proxy on your Velocity Proxy
  3. Install AuthMeVelocity-Paper on your Spigot/Paper servers that have AuthMeReloaded installed
  4. Start the Velocity proxy and set up the config.conf with the auth servers.

Plugin API

Check the plugin API here

Javadocs

Configuration

Check the plugin configuration here

Metrics

metrics

Information

CategoryAdmin Tools
Published onApril 14, 2023
LicenseGPL
Downloads1,689
Stars1
Watchers0
Supports Folia
Library

Members